#!/usr/bin/env node
'use strict';

const program = require('commander');
const create = require('../src/create');
const inquirer = require('../src/inquirer');
const utils = require('../utils');

program.version('1.0.0');

program
    .command('create')
    .description('创建项目')
    .action(function() {
        utils.green('欢迎使用lasoCodeClieCli，轻松构建项目模板～');
        inquirer.create().then(answer => {
            console.log(answer);
            if (answer.conf) {
                create(answer);
            }
        })
    })

program
    .command('start')
    .description('运行项目')
    .action(function () {
        utils.green('--------运行项目-------');
    })

program
    .command('build')
    .description('生产构建')
    .action(function () {
        utils.green('--------构建项目-------');
    })


program.parse(process.argv);
