const which = require('which');

function runCmd(cmd, args, options, callBack) {
    args = args || [];
    var runner = require('child_process').spawn(cmd, args, {
        stdio: 'inherit',
        ...options,
    });
    runner.on('close', (code) => {
        callBack && callBack(code);
    })
}

function findModal(modalName) {
    var modalStr = process.platform === 'win32' ? `${modalName}.cmd` : modalName;
    try {
        const modalPath = which.sync(modalStr);
        return modalPath;
    } catch (error) {
        throw new Error(`please install ${modalName}`);
    }
}

module.exports = function(modalName) {
    const modalPath = findModal(modalName);
    return function (commands, options={}, done) {
        runCmd(modalPath, commands, options, done);
    }
}