import React from 'react';
import {
  MenuFoldOutlined,
  MenuUnfoldOutlined,
} from '@ant-design/icons';
import {
  PageHeader,
} from 'antd';
import { SidebarPropsType } from './Sidebar';

export interface HeaderPropsType extends SidebarPropsType {
  toggleCollapsed: () => void;
  currentRouteText: string;
}

function Header({
  collapsed,
  toggleCollapsed,
  currentRouteText,
}: HeaderPropsType): JSX.Element {
  return (
    <PageHeader
      backIcon={collapsed ? <MenuUnfoldOutlined /> : <MenuFoldOutlined />}
      className="site-layout-background"
      onBack={toggleCollapsed}
      title={currentRouteText}
    />
  );
}

export default Header;
