/*
    Routes belongs in this file. use 'isSidemenu' if you want the route to show in sidebar.
    Use @ant-design/icons for the icon in sidebar.
    You can change the code in Sidebar.tsx
*/

import {
  AppstoreOutlined,
  MinusOutlined,
  FileOutlined,
} from '@ant-design/icons';
import Dashboard from 'src/pages/Dashboard';
import Page403 from 'src/pages/Page403';
import Page404 from 'src/pages/Page404';

export interface RouteType {
  path: string;
  name: string;
  icon: string | any;
  component: any;
  layout: string;
  subMenu?: RouteType[];
  isSidemenu: boolean;
}

const Routes: RouteType[] = [
  // Default 404 Not Found Page

  {
    path: '/error/404',
    name: 'Dashboard',
    icon: AppstoreOutlined,
    component: Page404,
    layout: '/admin',
    isSidemenu: false,
  },
  {
    path: '/index',
    name: 'Dashboard',
    icon: AppstoreOutlined,
    component: Dashboard,
    layout: '/admin',
    isSidemenu: true,
  },
  {
    path: '/pages',
    name: 'Pages',
    icon: FileOutlined,
    component: Dashboard,
    layout: '/admin',
    isSidemenu: true,
    subMenu: [
      {
        path: '/pages/404',
        name: '404',
        icon: MinusOutlined,
        component: Page404,
        layout: '/admin',
        isSidemenu: true,
      },
      {
        path: '/pages/403',
        name: '403',
        icon: MinusOutlined,
        component: Page403,
        layout: '/admin',
        isSidemenu: true,
      },
    ],
  },
];

export default Routes;
